using System;

namespace PlanetSystem
{

	public class Result
	{

		private double angle;
		private bool visible;

		private long addSubCount;
		private long mulDivCount;
		private long trigCount;
		private long sqrtCount;

		public Result(double angle, bool visible, long addSubCount, long mulDivCount, long trigCount, long sqrtCount)
		{
			this.angle = angle;
			this.visible = visible;
			this.addSubCount = addSubCount;
			this.mulDivCount = mulDivCount;
			this.trigCount = trigCount;
			this.sqrtCount = sqrtCount;
		}

		public double GetAngle() 
		{
			return angle;
		}

		public bool IsVisible()
		{
			return visible;
		}

		public long GetAddSubCount() {
			return addSubCount;
		}
		public long GetMulDivCount() 
		{
			return mulDivCount;
		}
		public long GetTrigCount() 
		{
			return trigCount;
		}
		public long GetSqrtCount() 
		{
			return sqrtCount;
		}

	}
}
